/*
  obiekt wtyczki
  Copyright (C) 2010  Michał Walenciak

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#include "core/core.h"
#include "debug.h"
#include "gui/actions/action-description.h"
#include "gui/windows/kadu-window.h"
#include "misc/misc.h"

#include "import_history.h"
#include "gui/import.h"


/** @ingroup import_history
 * @{
 */



static ImportHistory* import_history=NULL;

extern "C" KADU_EXPORT int import_history_init(bool)
{
  kdebugf();
  import_history = new ImportHistory();
  kdebugf2();
  return 0;
}


extern "C" KADU_EXPORT void import_history_close()
{
  kdebugf();
  delete import_history;
  import_history = NULL;
  kdebugf2();
}


ImportHistory::ImportHistory(): QObject()
{
  kdebugf();
  //dopisz się do menu kadu
  importMenuActionDescription = new ActionDescription(
    this, ActionDescription::TypeMainMenu, "importHistoryAction",
    this, SLOT(importHistory(QAction *, bool)),"",tr("Import history")
  );
  Core::instance()->kaduWindow()->insertMenuActionDescription(importMenuActionDescription, KaduWindow::MenuTools, 5);
  kdebugf2();
}


ImportHistory::~ImportHistory()
{
  kdebugf();
  Core::instance()->kaduWindow()->removeMenuActionDescription(importMenuActionDescription);
  delete importMenuActionDescription;
  kdebugf2();
}


void ImportHistory::importHistory(QAction *, bool)
{
  (new Import())->show();
}


/** @} */
